## openrc 0.45.2

=== meson_options.txt ===
option('audit', type : 'feature', value : 'auto',
  description : 'enable libaudit support')
option('bash-completions', type : 'boolean',
  description : 'install bash completions')
option('branding', type : 'string',
  description : 'Add branding to OpenRC')
option('local_prefix', type : 'string', value : '/usr/local',
  description : 'default location of user maintained packages')
option('newnet', type : 'boolean',
  description : 'build and install our networking scripts')
option('os', type : 'combo',
  choices :
    [ '', 'DragonFly', 'FreeBSD', 'GNU', 'GNU-kFreeBSD', 'Linux', 'NetBSD' ],
  description : 'Operating System (autodetected if not specified)')
option('pam', type : 'boolean',
  description : 'enable PAM support')
option('capabilities', type : 'feature', value: 'auto',
  description : 'enable capabilities support')
option('pkg_prefix', type : 'string',
  description : 'default location where packages are installed')
option('pkgconfig', type : 'boolean',
  description : 'build PKGConfig files')
option('rootprefix', type : 'string',
  description : 'override the root prefix')
option('selinux', type : 'feature', value : 'auto',
  description : 'enable SELinux support')
option('shell', type : 'string', value : '/bin/sh',
  description : 'Default posix compatible shell')
option('split-usr', type : 'combo',
  choices : ['auto', 'true', 'false'],
  description : '''/bin, /sbin aren't symlinks into /usr''')
option('sysvinit', type : 'boolean', value : false,
  description : 'enable SysVinit compatibility (linux only)')
option('termcap', type : 'combo',
  choices :
    [ '', 'ncurses', 'termcap' ],
  description : 'the termcap library to use')
option('zsh-completions', type : 'boolean',
  description : 'install zsh completions')

=== debian/changelog ===
openrc (0.45.2-2+deb12u1) bookworm; urgency=medium

  * d/openrc.postinst: ignore non-executable scripts in /etc/init.d
    (Closes: #1070167)

 -- Mark Hindley <leepen@debian.org>  Thu, 02 May 2024 10:04:20 +0100

openrc (0.45.2-2) unstable; urgency=medium

  * Fix FTBFS on Hurd: explicitly set pam option and don't require kvm.
  * Apply multi-arch hints. + librc-dev: Drop Multi-Arch: same.
  * Add initial autopkgtest running rc-status.
  * d/rules: configure rootprefix to fix FTBFS with merged /usr.
  * Include /etc/init.d/agetty template for use by openrc-init
    (Closes: #960182).
  * Remove d/p/0009-insserv-warning.patch: fixed in insserv.
  * Simplify etc/init.d/* lintian overrides.
  * Run wrap-and-sort -ta.

 -- Mark Hindley <leepen@debian.org>  Tue, 02 Aug 2022 11:46:15 +0100

openrc (0.45.2-1) unstable; urgency=medium

  * d/watch: update to version 4 and fix path.
  * New upstream version 0.45.2
    - includes fix for CVE-2018-21269 (Closes: #973245).
  * d/control:
    - add myself to uploaders.
    - bump debhelper compat to 13.
    - add Build-Depends meson, pkg-config.
    - bump Standards Version to 4.6.1 (no changes).
  * debian/patches:
    - remove obsolete d/p/0001-no-rpath.patch.
    - delete patches applied upstream.
    - convert to meson
    - refresh.
  * d/rules:
    - convert to meson
    - override libexecdir to keep existing non-multiarch path.
    - cleanup and remove cruft.
  * Simplify d/rules and multiarch handling with dh-exec.
  * Install bash and zsh completions.
  * d/not-installed: add uninstalled files.
  * .gitignore backup files.
  * d/openrc.lintian-overrides:
    - update changed tag name.
    - update to pointed format.
    - remove unused override.
  * sh/start-stop-daemon.sh: use src:dpkg s-s-d compatible --chuid
    (Closes: #1015765).

 -- Mark Hindley <leepen@debian.org>  Sun, 24 Jul 2022 15:32:06 +0100

=== debian/control ===
Source: openrc
Section: admin
Priority: optional
Maintainer: OpenRC Debian Maintainers <openrc@packages.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Mark Hindley <leepen@debian.org>,
           Benda Xu <heroxbd@gentoo.org>,
           Mo Zhou <cdluminate@gmail.com>,
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               libaudit-dev [linux-any],
               libpam0g-dev [linux-any],
               libselinux1-dev [linux-any],
               meson,
               pkg-config,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/openrc/openrc
Vcs-Git: https://salsa.debian.org/debian/openrc.git
Vcs-Browser: https://salsa.debian.org/debian/openrc

Package: openrc
Architecture: any
Conflicts: file-rc,
           sysv-rc,
Replaces: sysv-rc,
Depends: insserv,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: policycoreutils [linux-any],
          sysvinit-core,
Multi-Arch: foreign
Description: dependency based service manager (runlevel change mechanism)
 OpenRC is a dependency based service manager. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC aims at being
 platform-agnostic.  It works equally well on Linux, BSD and Hurd.
 It supports the traditional init system in Debian in addition to many
 alternatives.  OpenRC is implemented in C in a small, simple and
 efficient way, making it easy to understand, extend and reuse.
 .
 This package provides the runlevel change mechanism.

Package: librc1
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: dependency based service manager (runtime library)
 OpenRC is a dependency based service manager. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC aims at being
 platform-agnostic.  It works equally well on Linux, BSD and Hurd.
 It supports the traditional init system in Debian in addition to many
 alternatives.  OpenRC is implemented in C in a small, simple and
 efficient way, making it easy to understand, extend and reuse.
 .
 This package provides the runtime library.

Package: librc-dev
Architecture: any
Section: libdevel
Depends: librc1 (=${binary:Version}),
         ${misc:Depends},
Description: dependency based service manager (runtime development)
 OpenRC is a dependency based service manager. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC aims at being
 platform-agnostic.  It works equally well on Linux, BSD and Hurd.
 It supports the traditional init system in Debian in addition to many
 alternatives.  OpenRC is implemented in C in a small, simple and
 efficient way, making it easy to understand, extend and reuse.
 .
 This package provides development files for the runtime library.

Package: libeinfo1
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: dependency based service manager (pretty console display library)
 OpenRC is a dependency based service manager. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC aims at being
 platform-agnostic.  It works equally well on Linux, BSD and Hurd.
 It supports the traditional init system in Debian in addition to many
 alternatives.  OpenRC is implemented in C in a small, simple and
 efficient way, making it easy to understand, extend and reuse.
 .
 This package provides a runtime library that supports displaying messages on
 the console.

Package: libeinfo-dev
Architecture: any
Section: libdevel
Depends: libeinfo1 (=${binary:Version}),
         ${misc:Depends},
Multi-Arch: same
Description: dependency based service manager (pretty console display development)
 OpenRC is a dependency based service manager. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC aims at being
 platform-agnostic.  It works equally well on Linux, BSD and Hurd.
 It supports the traditional init system in Debian in addition to many
 alternatives.  OpenRC is implemented in C in a small, simple and
 efficient way, making it easy to understand, extend and reuse.
 .
 This package provides a development library that supports displaying messages
 on the console.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

CONFIG_ARGS = --libexecdir=lib -Drootprefix=/
ifeq ($(DEB_HOST_ARCH_OS),linux)
        CONFIG_ARGS += -Dpam=true
else
        CONFIG_ARGS += -Dpam=false
endif

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIG_ARGS)

override_dh_install:
	dh_install
	# These are symlinks for compatibility reasons, and we don't want
	# them in Debian.
	for file in start-stop-daemon runscript rc service ; do \
		rm -f $(CURDIR)/debian/openrc/sbin/$${file} ; \
	done

	# As openrc start-stop-daemon executable is removed above, we don't
	# need to install that pam service.
	rm -rf $(CURDIR)/debian/openrc/etc/pam.d/

	# These need to be removed, the same way as other stuff above
	for file in service.8 service.8.gz start-stop-daemon.8 start-stop-daemon.8.gz ; do \
		rm -f $(CURDIR)/debian/openrc/usr/share/man/man8/$${file} ; \
	done

	# These are Gentoo specific stuff, we don't want them
	set -e && for i in sysctl.d local.d conf.d ; do \
		rm -rf $(CURDIR)/debian/openrc/etc/$${i} ; \
	done

	# We don't want the Gentoo init scripts, but only want agetty, savecache
	# and cgroups to stay: #960182, #960183
	find $(CURDIR)/debian/openrc/etc/init.d/* \
		\! -type d \! -regex ".*/\(agetty\|savecache\|cgroups\|rcS?\)" -delete

	for dir in boot default sysinit shutdown; do \
		rm -f $(CURDIR)/debian/openrc/etc/runlevels/$${dir}/* ; \
	done

## openrc 0.47

=== debian/changelog ===
openrc (0.47-1) experimental; urgency=medium

  * New upstream version 0.47
  * Refresh and rebase patches.

 -- Mark Hindley <leepen@debian.org>  Wed, 19 Apr 2023 18:50:41 +0100

openrc (0.46-1) experimental; urgency=medium

  * New upstream version 0.46
  * d/control: bump Standards Version (no changes).

 -- Mark Hindley <leepen@debian.org>  Mon, 09 Jan 2023 17:33:38 +0000

## openrc 0.48

=== debian/changelog ===
openrc (0.48-1) unstable; urgency=medium

  * New upstream version 0.48

 -- Mark Hindley <leepen@debian.org>  Tue, 18 Jul 2023 12:43:16 +0100

openrc (0.47.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mark Hindley <leepen@debian.org>  Sat, 01 Jul 2023 08:21:53 +0100

openrc (0.47.1-1) experimental; urgency=medium

  * New upstream version 0.47.1: fixes FTBFS on ppc64el.
  * d/p/0002-lsb-header-support.patch: update to remove unused variable.
  * d/p/0003-dependency-loop-resolver.patch: refresh and update to reflect
    upstream changes.

 -- Mark Hindley <leepen@debian.org>  Sat, 22 Apr 2023 09:47:48 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libselinux1-dev [linux-any],
                meson,
                pkg-config,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/openrc/openrc
 Vcs-Git: https://salsa.debian.org/debian/openrc.git

## openrc 0.56

=== meson_options.txt ===
--- 
+++ 
@@ -14,26 +14,15 @@
   description : 'Operating System (autodetected if not specified)')
 option('pam', type : 'boolean',
   description : 'enable PAM support')
-option('capabilities', type : 'feature', value: 'auto',
-  description : 'enable capabilities support')
 option('pkg_prefix', type : 'string',
   description : 'default location where packages are installed')
 option('pkgconfig', type : 'boolean',
   description : 'build PKGConfig files')
-option('rootprefix', type : 'string',
-  description : 'override the root prefix')
 option('selinux', type : 'feature', value : 'auto',
   description : 'enable SELinux support')
 option('shell', type : 'string', value : '/bin/sh',
   description : 'Default posix compatible shell')
-option('split-usr', type : 'combo',
-  choices : ['auto', 'true', 'false'],
-  description : '''/bin, /sbin aren't symlinks into /usr''')
 option('sysvinit', type : 'boolean', value : false,
   description : 'enable SysVinit compatibility (linux only)')
-option('termcap', type : 'combo',
-  choices :
-    [ '', 'ncurses', 'termcap' ],
-  description : 'the termcap library to use')
 option('zsh-completions', type : 'boolean',
   description : 'install zsh completions')

=== debian/changelog ===
openrc (0.56-1) unstable; urgency=medium

  * New upstream version 0.56
  * Rebase patches and drop patch applied upstream.
  * d/openrc.postinst: don't give sysv-rc migration reboot instructions on
    upgrade.
  * d/rules: configure bindir and sbindir separately; rootprefix dropped
    upstream.
  * Add patch to define _GNU_SOURCE; fixes FTBFS on Hurd.

 -- Mark Hindley <leepen@debian.org>  Thu, 02 Jan 2025 10:47:30 +0000

openrc (0.55.1-2) unstable; urgency=medium

  * Use vanilla PATH for LSB initscripts. (Closes: #1082510)
  * d/p: import upstream patch fixing signal used to skip marking service
    status.

 -- Mark Hindley <leepen@debian.org>  Mon, 07 Oct 2024 09:57:43 +0100

openrc (0.55.1-1) unstable; urgency=medium

  * New upstream version 0.55.1
  * d/control: libcap-dev is linux only; fix build on Hurd.

 -- Mark Hindley <leepen@debian.org>  Thu, 19 Sep 2024 07:12:26 +0100

openrc (0.55-1) unstable; urgency=medium

  * New upstream version 0.55
  * d/p: rebase and refresh.
  * d/rules: install matching /etc/conf.d/ for included openrc-run scripts.
  * d/openrc.*: drop obsolete /etc/init.d/transit handling.

 -- Mark Hindley <leepen@debian.org>  Wed, 11 Sep 2024 09:23:46 +0100

openrc (0.54.2-1) unstable; urgency=medium

  * New upstream version 0.54.2
  * Make openrc's flavour of start-stop-daemon available to openrc-run
    scripts; this includes capabilities support (Closes: #1038789).
  * Add a NEWS item about openrc-run(8) specific start-stop-daemon flavour.
  * d/control: build depend on pkgconf instead of pkg-config.

 -- Mark Hindley <leepen@debian.org>  Mon, 01 Jul 2024 09:16:57 +0100

openrc (0.54-2) unstable; urgency=medium

  * d/control: bump Standards Version (no changes).
  * d/openrc.postinst: ignore non-executable scripts in /etc/init.d
    (Closes: #1070167)

 -- Mark Hindley <leepen@debian.org>  Wed, 01 May 2024 21:41:52 +0100

openrc (0.54-1) unstable; urgency=medium

  * New upstream version 0.54

 -- Mark Hindley <leepen@debian.org>  Tue, 02 Apr 2024 18:58:49 +0100

openrc (0.53.1-1) unstable; urgency=medium

  * New upstream version 0.53.1

 -- Mark Hindley <leepen@debian.org>  Thu, 28 Mar 2024 18:47:10 +0000

openrc (0.53-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Revert unnecessary time64 transition for libeinfo
  * Move files to /usr and mitigate file loss (DEP17) (Closes: #1067776).

  [ Mark Hindley ]
  * Import Non-maintainer upload.

 -- Mark Hindley <leepen@debian.org>  Tue, 26 Mar 2024 16:02:54 +0000

openrc (0.53-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063099

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 12:48:11 +0000

openrc (0.53-1) unstable; urgency=medium

  * New upstream version 0.53
  * d/control: add Build-Depends libcap-dev to enable capabilities support.

 -- Mark Hindley <leepen@debian.org>  Mon, 22 Jan 2024 17:18:38 +0000

openrc (0.52.1-1) unstable; urgency=medium

  * New upstream version 0.52.1
  * d/README.Debian: Explain the reason for not shipping openrc's
    start-stop-daemon.
  * Update src:dpkg s-s-d compatibility patch to warn, ignore and document
    incompatible options.

 -- Mark Hindley <leepen@debian.org>  Sun, 26 Nov 2023 17:11:11 +0000

openrc (0.51-1) unstable; urgency=medium

  * New upstream version 0.51

 -- Mark Hindley <leepen@debian.org>  Tue, 17 Oct 2023 10:06:14 +0100

openrc (0.50-1) unstable; urgency=medium

  * New upstream version 0.50
  * d/rules: revert "Don't ship obsolete /lib/rc/tmp", now, fixed
    upstream.

 -- Mark Hindley <leepen@debian.org>  Fri, 22 Sep 2023 18:45:34 +0100

openrc (0.49-1) unstable; urgency=medium

  * New upstream version 0.49
  * Don't ship obsolete /lib/rc/tmp (Closes: #1050897).

 -- Mark Hindley <leepen@debian.org>  Wed, 06 Sep 2023 17:34:28 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
            Mark Hindley <leepen@debian.org>,
            Benda Xu <heroxbd@gentoo.org>,
            Mo Zhou <cdluminate@gmail.com>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                dh-exec,
                libaudit-dev [linux-any],
+	       libcap-dev [linux-any],
                libpam0g-dev [linux-any],
                libselinux1-dev [linux-any],
                meson,
-               pkg-config,
-Standards-Version: 4.6.2
+               pkgconf,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/openrc/openrc
 Vcs-Git: https://salsa.debian.org/debian/openrc.git
@@ -43,7 +44,10 @@
  .
  This package provides the runlevel change mechanism.
 
-Package: librc1
+Package: librc1t64
+Provides: ${t64:Provides}
+Replaces: librc1
+Conflicts: librc1 (<< ${source:Version})
 Architecture: any
 Section: libs
 Depends: ${misc:Depends},
@@ -65,7 +69,7 @@
 Package: librc-dev
 Architecture: any
 Section: libdevel
-Depends: librc1 (=${binary:Version}),
+Depends: librc1t64 (=${binary:Version}),
          ${misc:Depends},
 Description: dependency based service manager (runtime development)
  OpenRC is a dependency based service manager. It provides support for System V
@@ -81,6 +85,9 @@
  This package provides development files for the runtime library.
 
 Package: libeinfo1
+Provides: libeinfo1t64
+Replaces: libeinfo1t64
+Breaks: libeinfo1t64 (<< ${source:Version})
 Architecture: any
 Section: libs
 Depends: ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

CONFIG_ARGS = --libexecdir=lib --bindir=/usr/bin --sbindir=/usr/sbin
ifeq ($(DEB_HOST_ARCH_OS),linux)
        CONFIG_ARGS += -Dpam=true
else
        CONFIG_ARGS += -Dpam=false
endif

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIG_ARGS)

override_dh_install:
	dh_install
	# Make openrc's flavour of start-stop-daemon available to openrc-run
	mv  $(CURDIR)/debian/openrc/usr/sbin/start-stop-daemon  $(CURDIR)/debian/openrc/usr/lib/rc/sbin
	# These are symlinks for compatibility reasons, and we don't want
	# them in Debian.
	for file in runscript rc service ; do \
		rm -f $(CURDIR)/debian/openrc/usr/sbin/$${file} ; \
	done

	# Use Debian's default pam config.
	rm -rf $(CURDIR)/debian/openrc/etc/pam.d/

	# These need to be removed, the same way as other stuff above
	for file in service.8 service.8.gz start-stop-daemon.8 start-stop-daemon.8.gz ; do \
		rm -f $(CURDIR)/debian/openrc/usr/share/man/man8/$${file} ; \
	done

	# These are Gentoo specific stuff, we don't want them
	set -e && for i in sysctl.d local.d ; do \
		rm -rf $(CURDIR)/debian/openrc/etc/$${i} ; \
	done

	# We don't want Gentoo init scripts apart from agetty, savecache and
	# cgroups: #960182, #960183
	find $(CURDIR)/debian/openrc/etc/init.d/ $(CURDIR)/debian/openrc/etc/conf.d/ \
		\! -type d \! \( -name agetty -o -name savecache -o -name cgroups -o -name rc -o -name rcS \) -delete

	for dir in boot default sysinit shutdown; do \
		rm -f $(CURDIR)/debian/openrc/etc/runlevels/$${dir}/* ; \
	done

=== debian/tests/control ===
Test-Command: rc-status

## openrc 0.62.4

=== debian/changelog ===
openrc (0.62.4-1) experimental; urgency=medium

  * New upstream version 0.62.4

 -- Mark Hindley <leepen@debian.org>  Tue, 24 Jun 2025 09:39:02 +0100

openrc (0.62.3-1) experimental; urgency=medium

  * New upstream version 0.62.3

 -- Mark Hindley <leepen@debian.org>  Sun, 15 Jun 2025 14:34:58 +0100

openrc (0.62.2-1) experimental; urgency=medium

  * New upstream version 0.62.2

 -- Mark Hindley <leepen@debian.org>  Thu, 08 May 2025 17:11:40 +0100

openrc (0.62.1-1) experimental; urgency=medium

  * New upstream version 0.62.1
  * d/control: libpam0g-dev is now available on GUN Hurd.
  * d/rules: enable pam on non-linux architectures (ie GNU Hurd).

 -- Mark Hindley <leepen@debian.org>  Tue, 29 Apr 2025 15:42:21 +0100

openrc (0.62-1) experimental; urgency=medium

  * New upstream version 0.62
  * Refresh patches and drop patch fixed upstream.

 -- Mark Hindley <leepen@debian.org>  Sun, 27 Apr 2025 12:23:46 +0100

openrc (0.61-1) experimental; urgency=medium

  * New upstream version 0.61
    - includes experimental user services support.
  * Rework meson.build patch for HURD FTBFS.
  * d/control: bump Standards Version (no changes).

 -- Mark Hindley <leepen@debian.org>  Mon, 24 Mar 2025 09:49:28 +0000

## openrc 0.62.6

=== debian/changelog ===
openrc (0.62.6-1) unstable; urgency=medium

  * New upstream version 0.62.6

 -- Mark Hindley <leepen@debian.org>  Mon, 18 Aug 2025 09:49:16 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,7 @@
 %:
 	dh $@
 
-CONFIG_ARGS = --libexecdir=lib --bindir=/usr/bin --sbindir=/usr/sbin
-ifeq ($(DEB_HOST_ARCH_OS),linux)
-        CONFIG_ARGS += -Dpam=true
-else
-        CONFIG_ARGS += -Dpam=false
-endif
+CONFIG_ARGS = --libexecdir=lib --bindir=/usr/bin --sbindir=/usr/sbin -Dpam=true
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIG_ARGS)

## openrc 0.63

=== meson_options.txt ===
--- 
+++ 
@@ -8,12 +8,10 @@
   description : 'default location of user maintained packages')
 option('newnet', type : 'boolean',
   description : 'build and install our networking scripts')
-option('os', type : 'combo',
-  choices :
-    [ '', 'DragonFly', 'FreeBSD', 'GNU', 'GNU-kFreeBSD', 'Linux', 'NetBSD' ],
-  description : 'Operating System (autodetected if not specified)')
 option('pam', type : 'boolean',
   description : 'enable PAM support')
+option('pam_libdir', type : 'string',
+  description : 'directory to install pam security modules')
 option('pkg_prefix', type : 'string',
   description : 'default location where packages are installed')
 option('pkgconfig', type : 'boolean',
@@ -26,3 +24,6 @@
   description : 'enable SysVinit compatibility (linux only)')
 option('zsh-completions', type : 'boolean',
   description : 'install zsh completions')
+option('agetty', type: 'array',
+  value: ['tty1', 'tty2', 'tty3', 'tty4', 'tty5', 'tty6'],
+  description : 'agetty symlinks to install when sysvinit is also specified')

=== debian/changelog ===
openrc (0.63-1) unstable; urgency=medium

  * New upstream version 0.63
  * Refresh patches and drop patch resolved upstream.
  * Add /etc/init.d/user.
  * openrc --user: add pam-auth-update(8) config, disabled by default.
  * Install rc-service and rc-update in /usr/bin now they are useful for
    user services.
  * d/NEWS: add user services item.
  * Filter pam_openrc users with pam_listfile and pam_usertype.

 -- Mark Hindley <leepen@debian.org>  Mon, 22 Sep 2025 16:15:54 +0100

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                dh-exec,
                libaudit-dev [linux-any],
 	       libcap-dev [linux-any],
-               libpam0g-dev [linux-any],
+               libpam0g-dev,
                libselinux1-dev [linux-any],
                meson,
                pkgconf,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/openrc/openrc
 Vcs-Git: https://salsa.debian.org/debian/openrc.git

=== debian/rules ===
--- 
+++ 
@@ -32,11 +32,17 @@
 		rm -rf $(CURDIR)/debian/openrc/etc/$${i} ; \
 	done
 
-	# We don't want Gentoo init scripts apart from agetty, savecache and
-	# cgroups: #960182, #960183
+	# We don't want Gentoo init scripts apart from agetty, savecache, user
+	# and cgroups: #960182, #960183
 	find $(CURDIR)/debian/openrc/etc/init.d/ $(CURDIR)/debian/openrc/etc/conf.d/ \
-		\! -type d \! \( -name agetty -o -name savecache -o -name cgroups -o -name rc -o -name rcS \) -delete
+		\! -type d \! \( -name agetty -o -name savecache -o -name user -o -name cgroups -o -name rc -o -name rcS \) -delete
 
 	for dir in boot default sysinit shutdown; do \
 		rm -f $(CURDIR)/debian/openrc/etc/runlevels/$${dir}/* ; \
 	done
+
+	# Move useful --user commands to /usr/bin. Remove once defaults are
+	# changed upstream
+	for cmd in rc-service rc-update ; do \
+		mv $(CURDIR)/debian/openrc/usr/sbin/$${cmd} $(CURDIR)/debian/openrc/usr/bin ; \
+	done

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
       https://github.com/OpenRC/openrc/tags \
       (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
